- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_module.h File Reference

`#include <axis2_const.h>`
`#include <axutil_error.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_string.h>`
`#include <axis2_conf.h>`
`#include <axis2_module_desc.h>`
`#include <axutil_hash.h>`

Go to the source code of this file.

## Classes
struct | axis2_module_ops
struct | axis2_module
## Defines
#define | axis2_module_init(module, env, conf_ctx, module_desc) ((module)->ops->init (module, env, conf_ctx, module_desc))
#define | axis2_module_shutdown(module, env) ((module)->ops->shutdown (module, env))
#define | axis2_module_fill_handler_create_func_map(module, env) ((module)->ops->fill_handler_create_func_map (module, env))
## Typedefs
typedef struct axis2_module_ops | axis2_module_ops_t
typedef struct axis2_module | axis2_module_t
## Functions
AXIS2_EXTERN axis2_module_t * | axis2_module_create (const axutil_env_t *env)

## Detailed Description